Page MenuHomePhabricator

1.41.0-wmf.7 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
jeena
Release Version
1.41.0-wmf.7
Release Date
May 1 2023, 12:00 AM

2023 week 18 1.41-wmf.7 Changes wmf/1.41.0-wmf.7

This MediaWiki Train Deployment is scheduled for the week of Monday, May 1st:

Monday May 1stTuesday, May 2ndWednesday, May 3rdThursday, May 4thFriday
Backports only.Branch wmf.7 and deploy to Group 0 Wikis.Deploy wmf.7 to Group 1 Wikis.Deploy wmf.7 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.7 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.41.0-wmf.6
Next: 1.41.0-wmf.8

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: jeena.
thcipriani set the point value for this task to 5.

Change 913935 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.41.0-wmf.7] Branch commit for wmf/1.41.0-wmf.7

https://gerrit.wikimedia.org/r/913935

Change 913935 merged by jenkins-bot:

[mediawiki/core@wmf/1.41.0-wmf.7] Branch commit for wmf/1.41.0-wmf.7

https://gerrit.wikimedia.org/r/913935

Change 914036 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/914036

Change 914036 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/914036

Mentioned in SAL (#wikimedia-operations) [2023-05-02T03:02:38Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.41.0-wmf.7 refs T330213

Mentioned in SAL (#wikimedia-operations) [2023-05-02T03:51:59Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.41.0-wmf.7 refs T330213 (duration: 49m 21s)

I went to browse https://test.wikipedia.org/wiki/Main_Page it has a top banner showing the proper version:

This is a test of release of MediaWiki 1.41.0-wmf.7 (087c2fc). Please report issues you encounter.

While the main page states:

The current version of MediaWiki running on this wiki is 1.41.0-wmf.6 (ccab434).

In the wikitext that is the token {{CURRENTVERSION}}. I went to purge the page and that is gone :)

Risky Patch! 🚂🔥

Also if you see anything with externallinks in logs, that's probably me. Ping me

Mentioned in SAL (#wikimedia-operations) [2023-05-02T18:01:53Z] <brennen> train 1.41.0-wmf.7 (T330213): no current blockers, rolling to group1 with scap train

Mentioned in SAL (#wikimedia-operations) [2023-05-02T18:03:14Z] <brennen> train 1.41.0-wmf.7 (T330213): (correction: group0 today)

Change 914376 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/914376

Change 914376 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/914376

Mentioned in SAL (#wikimedia-operations) [2023-05-02T18:11:45Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.41.0-wmf.7 refs T330213

Mentioned in SAL (#wikimedia-operations) [2023-05-03T18:08:20Z] <brennen> train 1.41.0-wmf.7 (T330213): logs quiet and no current blockers, rolling to group1

Change 914879 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/914879

Change 914879 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/914879

Mentioned in SAL (#wikimedia-operations) [2023-05-03T18:16:38Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.41.0-wmf.7 refs T330213

Mentioned in SAL (#wikimedia-operations) [2023-05-03T18:22:57Z] <brennen@deploy1002> Synchronized php: group1 wikis to 1.41.0-wmf.7 refs T330213 (duration: 06m 18s)

Mentioned in SAL (#wikimedia-operations) [2023-05-04T18:08:11Z] <brennen> train 1.41.0-wmf.7 (T330213): logs fairly quiet and no current blockers, rolling to group2

Change 915812 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/915812

Change 915812 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/915812

Mentioned in SAL (#wikimedia-operations) [2023-05-04T18:16:35Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.7 refs T330213

Change 915841 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/915841

Change 915841 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.7

https://gerrit.wikimedia.org/r/915841

T336008 has spiked quite a bit. Rolling train back to group1.

That doesn't look like it to be honest. It can be something else related to database but I can't say for sure without proper debugging

From a brief look, it's highly unlikely. It's something else.

From a brief look, it's highly unlikely. It's something else.

Ack, thanks! Seemed worth checking.

Mentioned in SAL (#wikimedia-operations) [2023-05-04T20:51:13Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.41.0-wmf.7 refs T330213

Mentioned in SAL (#wikimedia-operations) [2023-05-04T20:57:16Z] <brennen@deploy1002> Synchronized php: group1 wikis to 1.41.0-wmf.7 refs T330213 (duration: 06m 02s)

End of US workday update: Doing a diagnostic backport for T336008 and pausing the train for the day.

Mentioned in SAL (#wikimedia-operations) [2023-05-05T18:25:20Z] <brennen> train 1.41.0-wmf.7 (T330213): trying revert for T336008, T336022

brennen changed the task status from Open to In Progress.May 5 2023, 10:42 PM

With blockers cleared, I'm going to say we'll go to all wikis first thing (MDT) Monday morning.

Mentioned in SAL (#wikimedia-operations) [2023-05-08T14:40:02Z] <brennen> train 1.41.0-wmf.7 (T330213): proceeding to all wikis